#include "MAX14752.h"

MAX14752::MAX14752(byte S0pin, byte S1pin, byte S2pin):
      _S0pin(S0pin),
      _S1pin(S1pin),
      _S2pin(S2pin) {};

void MAX14752::begin(void) {
  // Configure Pins.
  pinMode(_S0pin, OUTPUT);
  pinMode(_S1pin, OUTPUT);
  pinMode(_S2pin, OUTPUT);

  setSource(4); // Configure to connect to INPUT 4, which is disconnected.
}

void MAX14752::setSource(byte code) {
  digitalWrite(_S0pin, (code & 0b00000001)); // LSB of code goes to S0.
  digitalWrite(_S1pin, (code & 0b00000010)>>1);
  digitalWrite(_S2pin, (code & 0b00000100)>>2); // MSB of code goes to S2.
}
